=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: libs
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Michael Biebl <biebl@debian.org>, Sjoerd Simons <sjoerd@debian.org>
+Uploaders: Gustavo Noronha Silva <kov@debian.org>, Josselin Mouette <joss@debian.org>, Michael Biebl <biebl@debian.org>, Sjoerd Simons <sjoerd@debian.org>
 Build-Depends: debhelper (>= 8.1.3),
                cdbs (>= 0.4.93),
                dh-autoreconf,
@@ -11,6 +11,7 @@
                autotools-dev,
                gnome-pkg-tools (>= 0.11),
                dpkg-dev (>= 1.16.0),
+               libelf-dev,
                libpcre3-dev (>= 8.11),
                desktop-file-utils,
                gtk-doc-tools (>= 1.15),
@@ -22,6 +23,9 @@
                dbus-x11,
                shared-mime-info,
                python (>= 2.5),
+               python-dbus,
+               python-gobject-2,
+               libxml2-utils,
                libffi-dev (>= 3.0.0)
 Standards-Version: 3.9.2
 Homepage: http://www.gtk.org/
@@ -91,6 +95,7 @@
          ${shlibs:Depends},
          libglib2.0-0 (= ${binary:Version}),
          libglib2.0-bin (= ${binary:Version}),
+         libpcre3-dev (>= 8.11),
          pkg-config (>= 0.16.0),
          zlib1g-dev
 Recommends: python
