## glib2.0 2.31.22

=== debian/changelog ===
glib2.0 (2.31.22-1) experimental; urgency=low

  * New upstream development release.
  * debian/libglib2.0-0.symbols: Add new symbol.

 -- Michael Biebl <biebl@debian.org>  Tue, 20 Mar 2012 02:00:06 +0100
