## glib2.0 2.32.1

=== debian/changelog ===
glib2.0 (2.32.1-0ubuntu2) precise-proposed; urgency=low

  * Add revert_schema_path_warning.patch: Revert
    http://git.gnome.org/browse/glib/commit/?id=6560b3. Final freeze is not
    the time to start fixing the gsettings paths of all packages. This avoids
    tons of spewage from the gsettings trigger during package installation.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Mon, 16 Apr 2012 15:33:44 +0200

glib2.0 (2.32.1-0ubuntu1) precise-proposed; urgency=low

  * New upstream bug fix release:
    - glib-2.30.2: Fails /GDateTime/new_from_unix test
    - glib-compile-resources prepends --sourcedir to absolute paths
    - URL to mailing lists in README incorrect
    - g_input_stream_read[_finish]: document returning 0 on EOF
    - glib/gchecksum.c warning: dereferencing type-punned pointer...
    - [W32] gtestutils does not use path separators consistently
    - Properly deprecate g_value_{set,get}_char
    - Fails to decode dictionaries wrapped in two layers of array
    - gclosure: Support return values of GVariants
    - glib/tests/markup-parse fails under non-english locale
    - gio-2.0.pc lists full path to executables, breaking cross com..
    - gnextstepsettingsbackend.c:343: error: parse error before 'in'
  * Drop git_gdbus_messages_decoding{,_test}.patch, applied upstream.
  * 61_glib-compile-binaries-path.patch, git_powerpc_gresources.patch: Unfuzz.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Mon, 16 Apr 2012 08:47:19 +0200

glib2.0 (2.32.0-1ubuntu3) precise-proposed; urgency=low

  * debian/patches/git_gdbus_messages_decoding.patch,
    debian/patches/git_gdbus_messages_decoding_test.patch:
    - upstream patch to fix a gdbus message decoding issue, include the
      next commit which has the testcase for the issue
  * debian/patches/git_powerpc_gresources.patch:
    - upstream fix for gresource on big endian archs, i.e powerpc 
      (lp: #961512)

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 11 Apr 2012 18:15:42 +0200

glib2.0 (2.32.0-1ubuntu2) precise; urgency=low

  * 03_revert_git_single_include_error.patch: Don't enforce single include for
    glib/gversionmacros.h since this header is included from glib/gtypes.h
    which is widely used. Fixes several FTBFS.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 10 Apr 2012 13:05:15 +0200

glib2.0 (2.32.0-1ubuntu1) precise; urgency=low

  * Merge with Debian unstable. Remaining Ubuntu changes:
    - debian/control.in: Add Conflicts to obsolete libzeitgeist-gio,
      wncksyncdaemon, and old bamfdaemon, to clean them up on upgrades and
      avoid crashes due to incompatibilities. This can be dropped after the
      12.04 LTS release.
    - debian/control.in, debian/libglib2.0-bin.maintscript,
      debian/libglib2.0-bin.postinst: Remove /etc/etc/bash_completion.d/ files
      on upgrade, to clean up after LP #911191. This can be dropped after the
      12.04 LTS release.
    - 01_gettext-desktopfiles.patch: Use official "Keywords" key (lp #949864).
      Change now also committed to Debian SVN.
    - debian/libglib2.0-0.postrm.in: Only remove the compiled schemas on
      purge, not during upgrades. Otherwise we have no schemas available until
      the new postinst is run, which leads to applications aborting on missing
      schemas. Change now also committed to Debian SVN.
  * The new merge now makes packages which build depend on glib
    cross-buildable. (LP: #950967)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Fri, 30 Mar 2012 15:38:01 +0200

glib2.0 (2.32.0-2) unstable; urgency=low

  * Upload to unstable.
  * Revert upstream commit for now which makes single includes mandatory as
    the list of affected packages is still a bit too long.

 -- Michael Biebl <biebl@debian.org>  Fri, 30 Mar 2012 08:25:15 +0200

glib2.0 (2.32.0-1) experimental; urgency=low

  * New upstream release.
  * Add single-include guard for gbytes.h. Patch cherry-picked from
    upstream Git.

 -- Michael Biebl <biebl@debian.org>  Mon, 26 Mar 2012 18:41:49 +0200

glib2.0 (2.32.0-0ubuntu1) precise-proposed; urgency=low

  * New upstream version
  * debian/libglib2.0-0.symbols:
    - dropped debug symbol which is enabled only in unstable series
  * debian/patches/git_gdbus_avoid_assert_bug.patch:
    - dropped, the fix is in the new version

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 26 Mar 2012 19:52:08 +0200

glib2.0 (2.31.22-0ubuntu1) precise; urgency=low

  * New upstream version:
    - should fix gstreamer locking issues (lp: #941229)
  * debian/patches/bugzilla_gdbus_use_reliable_cancellation.patch,
    debian/patches/bugzilla_reliable_cancellable.patch:
    - dropped, the fixes are in the new version
  * debian/patches/90_revert_git_stricter_types.patch:
    - dropped, it shouldn't be needed, the issue got resolved
  * debian/patches/git_gdbus_avoid_assert_bug.patch:
    - should fix a gdbus assert hit sometimes by nautilus (lp: #898231),
      gsd (lp: #898994), or bamf (lp: #926208), thanks Marco Trevisan

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 20 Mar 2012 11:35:24 +0100

glib2.0 (2.31.20-0ubuntu3) precise; urgency=low

  * debian/patches/bugzilla_gdbus_use_reliable_cancellation.patch,
    debian/patches/bugzilla_reliable_cancellable.patch:
    - patches from GNOME bug #672013, should make gdbus cancellation 
      reliable and fix dbusmenu lp: #953562
  * debian/libglib2.0-0.symbols: 
    - updated for the new symbol

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 14 Mar 2012 11:45:37 +0100

glib2.0 (2.31.20-0ubuntu2) precise; urgency=low

  * debian/dh_listmissing.pl, debian/rules:
    - copy Debian "list-missing" hack
  * debian/patches/01_gettext-desktopfiles.patch:
    - use official "Keywords" key (lp: #949864)
  * debian/patches/61_glib-compile-schemas-path.patch:
    - use the correct path to gdbus-codegen

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 08 Mar 2012 12:53:04 +0100

glib2.0 (2.31.20-0ubuntu1) precise; urgency=low

  * New upstream version:
    - Update to Unicode 6.1
    - Update PCRE to 8.30

