=== debian/control ===
--- 
+++ 
@@ -1,8 +1,9 @@
 Source: glib2.0
 Section: libs
 Priority: optional
-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Gustavo Noronha Silva <kov@debian.org>, Josselin Mouette <joss@debian.org>, Michael Biebl <biebl@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Michael Biebl <biebl@debian.org>
 Build-Depends: debhelper (>= 8.1.3),
                cdbs (>= 0.4.93),
                dh-autoreconf,
@@ -29,8 +30,7 @@
                libffi-dev (>= 3.0.0)
 Standards-Version: 3.9.2
 Homepage: http://www.gtk.org/
-Vcs-Browser: http://svn.debian.org/wsvn/pkg-gnome/desktop/unstable/glib2.0/
-Vcs-Svn: svn://svn.debian.org/svn/pkg-gnome/desktop/unstable/glib2.0/
+Vcs-Bzr: https://code.launchpad.net/~ubuntu-desktop/glib/ubuntu
 
 Package: libglib2.0-0
 Architecture: any
@@ -44,6 +44,9 @@
         gdm3 (<< 3.0.3),
         libgtk-3-0 (<< 3.0.12)
 Replaces: libglib2.0-dev (<< 2.23.2-2)
+Conflicts: libzeitgeist-gio,
+           wncksyncdaemon,
+           bamfdaemon (<= 0.2.92-0ubuntu1)
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
 Description: GLib library of C routines
@@ -72,6 +75,7 @@
 Package: libglib2.0-bin
 Section: misc
 Architecture: any
+Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends},
          ${misc:Depends},
          libglib2.0-0 (= ${binary:Version}),
