## glib2.0 2.32.3

=== debian/changelog ===
glib2.0 (2.32.3-0ubuntu1) precise-proposed; urgency=low

  * New upstream version
  * debian/patches/git_powerpc_gresources.patch:
    - dropped, the fix in the new version

  [ Evan Dandrea ]
  * gnetworkmonitor_dont_leak_networks.patch: Do not leak the list of
    networks in GNetworkMonitor. Thanks Dan Winship (LP: #998521)!

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 29 May 2012 17:53:18 +0200
