=== debian/control ===
--- 
+++ 
@@ -30,7 +30,7 @@
                libffi-dev (>= 3.0.0)
 Standards-Version: 3.9.2
 Homepage: http://www.gtk.org/
-Vcs-Bzr: https://code.launchpad.net/~ubuntu-desktop/glib/ubuntu
+Vcs-Bzr: https://code.launchpad.net/~ubuntu-desktop/glib/precise
 
 Package: libglib2.0-0
 Architecture: any
