## glib2.0 2.32.4

=== debian/changelog ===
glib2.0 (2.32.4-0ubuntu1) precise; urgency=low

  * New upstream release (LP: #1154657)
    + GSettings: Don't crash due to incorrect handling of "/" (LP: #1154370)
    + gio: Stop ignoring defaults.list wrongly (LP: #901171)
  * Update watch file to track 2.32 series for Precise
  * debian/control{,.in}: Require libelf-dev >= 0.8.12, per configure.ac
  * gnetworkmonitor_dont_leak_networks.patch: Drop, included in this release. 
  * Install bash completion files into /etc/bash_completion.d; overriding an
    upstream change (not appropriate for Precise) to install into
    /usr/share/bash-completion/completions. This change also names the
    completion files correctly (after the commands they are completing for),
    so they will start working now. 

 -- Iain Lane <iain.lane@canonical.com>  Wed, 13 Mar 2013 10:45:56 +0000
