=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
                autotools-dev,
                gnome-pkg-tools (>= 0.11),
                dpkg-dev (>= 1.16.0),
-               libelf-dev,
+               libelf-dev (>= 0.8.12),
                libpcre3-dev (>= 8.11),
                desktop-file-utils,
                gtk-doc-tools (>= 1.15),
