## glib2.0 2.33.12+really2.32.4

=== debian/changelog ===
glib2.0 (2.33.12+really2.32.4-5) unstable; urgency=low

  * Fix the closing fi in the if statement in postrm.

 -- Michael Biebl <biebl@debian.org>  Wed, 09 Jan 2013 16:14:49 +0100

glib2.0 (2.33.12+really2.32.4-4) unstable; urgency=low

  * Take into account multiarch when removing the cache files in postrm:
    Remove /usr/lib/gio/modules/giomodule.cache only for the native
    architecture for which this cache file was created.
    After removing /usr/share/glib-2.0/schemas/gschemas.compiled on purge,
    run dpkg-trigger explicitly, so in case libglib2.0-0 is installed for
    other architectures, the cache file is re-created. (Closes: #696389)
  * Drop the various Breaks from libglib2.0-0. Those are causing APT to fail
    on a dist-upgrade from squeeze to wheezy. (Closes: #676485)

 -- Michael Biebl <biebl@debian.org>  Tue, 08 Jan 2013 23:30:04 +0100

glib2.0 (2.33.12+really2.32.4-3) unstable; urgency=low

  * Team upload
  * 92_kfreebsd_credentials.patch: use the FreeBSD credentials-passing
    implementation on kFreeBSD too, making gnome-terminal and lightdm
    work on kFreeBSD (Closes: #631968)

 -- Simon McVittie <smcv@debian.org>  Wed, 24 Oct 2012 10:51:08 +0100

glib2.0 (2.33.12+really2.32.4-2) unstable; urgency=medium

  * Revert link adding for gdbus-object-manager-example. While it is 
    useful to have in /usr/share/doc as an example, it must not be 
    shipped with the system documentation.
  * 20_glib-compile-resources_leak.patch: new patch. Fix a leak 
    introduced in version 2.32.4. Thanks Niels Thykier!
  * SECURITY: add 11_CVE-2012-3524_setuid.patch from upstream. Prevents 
    using DBus in a setuid binary. Fixes CVE-2012-3524.

 -- Josselin Mouette <joss@debian.org>  Sat, 06 Oct 2012 01:15:16 +0200

glib2.0 (2.33.12+really2.32.4-1) unstable; urgency=low

  * New upstream bugfix release.
  * 10_gdbus_race.patch: stolen from upstream git. Fix a race condition 
    that would make gnome-shell crash on startup under some conditions.
  * libglib2.0-bin.install: bash completions have moved to /usr/share.
  * libglib2.0-bin.maintscript: remove old conffiles.
  * Add appropriate pre-dependency.
  * libglib2.0-doc.links: add link for gdbus-object-manager-example.

 -- Josselin Mouette <joss@debian.org>  Sat, 22 Sep 2012 17:59:34 +0200

glib2.0 (2.33.12+really2.32.3-2) unstable; urgency=low

  * Explicitly set the shlibs version to 2.32.3 to not generate overly strict
    dependencies for udeb packages.

 -- Michael Biebl <biebl@debian.org>  Wed, 19 Sep 2012 21:25:56 +0200

glib2.0 (2.33.12+really2.32.3-1) unstable; urgency=low

  * Brown paper bag upload
  * Re-upload version previously in unstable to superseded
    experimental-targetted version previously mistakenly uploaded there.

 -- Iain Lane <laney@debian.org>  Mon, 10 Sep 2012 22:52:32 +0100

glib2.0 (2.32.3-1) unstable; urgency=low

  * New upstream release.
  * Remove debian/patches/95_configure-Fix-typo-in-ELF-check.patch and
    debian/patches/96_configure-Reset-LIBS-after-ELF-check.patch, merged
    upstream.

 -- Michael Biebl <biebl@debian.org>  Tue, 15 May 2012 16:12:21 +0200

glib2.0 (2.32.2-1) unstable; urgency=low

  * New upstream release.
  * Refresh patches.
  * Remove debian/patches/git_powerpc_gresources.patch, merged upstream.
  * debian/patches/95_configure-Fix-typo-in-ELF-check.patch: Fix typo in ELF
    configure check. Patch cherry-picked from upstream Git.
  * debian/patches/96_configure-Reset-LIBS-after-ELF-check.patch: Reset LIBS
    after running the ELF checks otherwise we end up linking everything
    against libelf. Patch cherry-picked from upstream Git.

 -- Michael Biebl <biebl@debian.org>  Tue, 01 May 2012 20:02:21 +0200

glib2.0 (2.32.1-1) unstable; urgency=low

  * New upstream release.
  * Refresh patches.
  * debian/patches/git_powerpc_gresources.patch: Upstream fix for gresource on
    big endian architectures, i.e powerpc. Closes: #669130
  * debian/patches/revert_schema_path_warning.patch: Revert upstream commit
    which generates a warning for applications using a non-recommended
    gsettings path. Final freeze is not the time to start fixing the gsettings
    paths of all packages. This avoids tons of spewage from the gsettings
    trigger during package installation.

 -- Michael Biebl <biebl@debian.org>  Thu, 26 Apr 2012 23:13:28 +0200

glib2.0 (2.32.0-4) unstable; urgency=low

  * Set --sourcedir for the different flavors when running dh_install. This
    way the .install files can be simplified a lot which makes them much more
    readable.
  * Bump Standards-Version to 3.9.3.
  * Add Breaks against emacs23, eog and gwaei. Those applications were broken
    due to changes in GApplication and the way they interacted with
    GdkThreads so they needed to be fixed to correctly work with glib 2.32.
    Closes: #668019

 -- Michael Biebl <biebl@debian.org>  Mon, 09 Apr 2012 14:16:26 +0200

glib2.0 (2.32.0-3) unstable; urgency=low

  [ Martin Pitt ]
  * 01_gettext-desktopfiles.patch: Use official "Keywords" key now,
    X-GNOME-Keywords has been deprecated for a while now. (LP: #949864)
  * debian/libglib2.0-0.postrm.in: Only remove the compiled schemas on purge,
    not during upgrades. Otherwise we have no schemas available until the new
    postinst is run, which leads to applications aborting on missing schemas.

  [ Michael Biebl ]
  * Don't enforce single include for glib/gversionmacros.h since this header
    is included from glib/gtypes.h which is widely used.

 -- Michael Biebl <biebl@debian.org>  Fri, 30 Mar 2012 23:55:41 +0200
