=== debian/control ===
--- 
+++ 
@@ -1,9 +1,8 @@
 Source: glib2.0
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Michael Biebl <biebl@debian.org>
+Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Uploaders: Josselin Mouette <joss@debian.org>, Michael Biebl <biebl@debian.org>
 Build-Depends: debhelper (>= 8.1.3),
                cdbs (>= 0.4.93),
                dh-autoreconf,
@@ -12,7 +11,7 @@
                autotools-dev,
                gnome-pkg-tools (>= 0.11),
                dpkg-dev (>= 1.16.0),
-               libelf-dev (>= 0.8.12),
+               libelf-dev,
                libpcre3-dev (>= 8.11),
                desktop-file-utils,
                gtk-doc-tools (>= 1.15),
@@ -28,9 +27,10 @@
                python-gobject-2,
                libxml2-utils,
                libffi-dev (>= 3.0.0)
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Homepage: http://www.gtk.org/
-Vcs-Bzr: https://code.launchpad.net/~ubuntu-desktop/glib/precise
+Vcs-Browser: http://svn.debian.org/wsvn/pkg-gnome/desktop/unstable/glib2.0/
+Vcs-Svn: svn://svn.debian.org/svn/pkg-gnome/desktop/unstable/glib2.0/
 
 Package: libglib2.0-0
 Architecture: any
@@ -38,15 +38,8 @@
          ${shlibs:Depends}
 Recommends: libglib2.0-data,
             shared-mime-info
-Breaks: gvfs (<< 1.8),
-        gnome-control-center (<< 1:3),
-        gnome-session (<< 3.0.0-3),
-        gdm3 (<< 3.0.3),
-        libgtk-3-0 (<< 3.0.12)
+Breaks: gvfs (<< 1.8)
 Replaces: libglib2.0-dev (<< 2.23.2-2)
-Conflicts: libzeitgeist-gio,
-           wncksyncdaemon,
-           bamfdaemon (<= 0.2.92-0ubuntu1)
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
 Description: GLib library of C routines
@@ -75,11 +68,11 @@
 Package: libglib2.0-bin
 Section: misc
 Architecture: any
-Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends},
          ${misc:Depends},
          libglib2.0-0 (= ${binary:Version}),
          libglib2.0-data
+Pre-Depends: ${misc:Pre-Depends}
 Conflicts: libglib2.0-0 (<< 2.25.11-2),
 Replaces: libglib2.0-0 (<< 2.25.11-2),
           libglib2.0-dev (<< 2.25.11-2)
