=== debian/rules ===
--- 
+++ 
@@ -27,6 +27,7 @@
 
 APIVER := 2.0
 SONAME := 0
+SHVER := 2.32.3
 
 # package names
 SHARED_PKG := libglib$(APIVER)-$(SONAME)
@@ -40,7 +41,11 @@
 
 DEB_MAKE_DESTDIRSKEL = $(CURDIR)/debian/install/@FLAVOR@
 
-DEB_DH_MAKESHLIBS_ARGS_$(SHARED_PKG) += -V --add-udeb=$(UDEB_PKG) -- -c4
+DEB_DH_INSTALL_ARGS += --sourcedir=debian/install/deb
+DEB_DH_INSTALL_ARGS_$(UDEB_PKG) += --sourcedir=debian/install/udeb
+DEB_DH_INSTALL_ARGS_$(REFDBG_PKG) += --sourcedir=debian/install/refdbg
+
+DEB_DH_MAKESHLIBS_ARGS_$(SHARED_PKG) += -V'$(SHARED_PKG) (>= $(SHVER))' --add-udeb=$(UDEB_PKG) -- -c4
 DEB_DH_MAKESHLIBS_ARGS_$(REFDBG_PKG) = --no-act
 DEB_DH_STRIP_ARGS_$(REFDBG_PKG) = --no-act
 # Don't put the symbols in the -dbg package
